%global package_version 1.1.8
%global rolename manageiq
%global roleprefix oVirt.
%global roleprefix_legacy ovirt-
%global ansible_roles_dir ansible/roles

Name: ovirt-ansible-manageiq
Summary: Ansible role to create ManageIQ or CloudForms virtual machine from qcow image
Version: 1.1.8
Release: 1%{?dist}
Source: ovirt-ansible-manageiq-%{package_version}.tar.gz
License: ASL 2.0
Group:          Virtualization/Management
BuildArch:      noarch
Url:            http://www.ovirt.org

Requires: ansible >= 2.5

%description
This Ansible role provide funtionality to create ManageIQ or CloudForms virtual
machine from qcow image.

%pretrans -p <lua>
-- Remove the legacy directory before installing the symlink. This is known issue in RPM:
-- https://fedoraproject.org/wiki/Packaging:Directory_Replacement
path = "%{_datadir}/%{ansible_roles_dir}/%{roleprefix_legacy}%{rolename}"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute('rm -rf "'..path..'"')
end

%prep
%setup -c -q

%build

%install
export PKG_DATA_DIR_ORIG=%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
export PKG_DATA_DIR=%{buildroot}$PKG_DATA_DIR_ORIG
export PKG_DOC_DIR=%{buildroot}%{_pkgdocdir}
export ROLENAME_LEGACY=%{buildroot}%{_datadir}/%{ansible_roles_dir}/%{roleprefix_legacy}%{rolename}
sh build.sh install

%files
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
%{_datadir}/%{ansible_roles_dir}/%{roleprefix_legacy}%{rolename}

%doc README.md
%doc examples/

%license LICENSE

%changelog
* Thu May 3 2018 Ondra Machacek <omachace@redhat.com> - 1.1.8-1
- Use no_log=true for uri module rhbz#1571847.

* Tue Apr 10 2018 Ondra Machacek <omachace@redhat.com> - 1.1.7-1
- Require Ansible 2.5.
- Initialize CFME with default value.
- Update defaults to use Gaprindashvili-2.

* Thu Mar 1 2018 Ondra Machacek <omachace@redhat.com> - 1.1.6-1
- Ensure VM is running before checking ManageIQ API.
- Add variable for C&U Metrics Database Name.
- Pass if provider already exists.
- Verify API connectivity before fetching image.
- Move to the Gaprindashvili release of ManageIQ.

* Wed Jan 17 2018 Ondra Machacek <omachace@redhat.com> - 1.1.5-1
- Support RHV credentials for Ansible Tower/AWX.

* Tue Dec 12 2017 Ondra Machacek <omachace@redhat.com> - 1.1.4-1
- Add missing templates/ directory.

* Mon Dec 04 2017 Ondra Machacek <omachace@redhat.com> - 1.1.3-1
- Add %pretrans scriplet to remove legacy role name.

* Wed Nov 29 2017 Ondra Machacek <omachace@redhat.com> - 1.1.2-1
- Rename prefix ovirt. to oVirt. to sync with galaxy

* Thu Nov 16 2017 Ondra Machacek <omachace@redhat.com> - 1.1.0-1
- Initial release
